> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/ztagent/agents > List ZTAgent agents (devices) with pagination and filters. ## OpenAPI ````json GET /v1/ztagent/agents { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/ztagent/agents": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "createdDateEnd", "in": "query", "description": "", "required": false, "schema": { "type": "string", "example": "example string" } }, { "name": "createdDateStart", "in": "query", "description": "", "required": false, "schema": { "type": "string", "example": "example string" } }, { "name": "endpoints", "in": "query", "description": "", "required": false, "schema": { "type": "array", "items": { "type": "string", "example": "example string" }, "example": [ "example" ] }, "style": "deepObject", "explode": true }, { "name": "hostname", "in": "query", "description": "", "required": false, "schema": { "type": "string", "example": "example string" } }, { "name": "limit", "in": "query", "description": "", "required": false, "schema": { "type": "integer", "format": "int32", "example": 123 } }, { "name": "machineId", "in": "query", "description": "", "required": false, "schema": { "type": "string", "example": "example string" } }, { "name": "page", "in": "query", "description": "", "required": false, "schema": { "type": "integer", "format": "int32", "example": 123 } }, { "name": "tenantId", "in": "query", "description": "", "required": false, "schema": { "type": "string", "example": "example string" } }, { "name": "updatedDateEnd", "in": "query", "description": "", "required": false, "schema": { "type": "string", "example": "example string" } }, { "name": "updatedDateStart", "in": "query", "description": "", "required": false, "schema": { "type": "string", "example": "example string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ZtagentAgentsGetResponse" } } } } }, "description": "List ZTAgent agents (devices) with pagination and filters." } } }, "components": { "schemas": { "v1ZtagentAgentsGetResponse": { "type": "object", "properties": { "agents": { "type": "array", "items": { "$ref": "#/components/schemas/concealAgent" } }, "count": { "type": "integer", "format": "int32", "example": 123 } }, "additionalProperties": false }, "concealAgent": { "type": "object", "properties": { "createdAt": { "type": "string", "example": "example string" }, "disabled": { "type": "boolean", "example": true }, "id": { "type": "string", "example": "example string" }, "identifier": { "type": "string", "example": "example string" }, "lastCheckin": { "type": "string", "example": "example string" }, "machine": { "type": "string", "example": "example string" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````